%define GLIBC_VERSION 2.1.3

Summary:	GNU libc for Linux-Mandrake 7.2 backwards compatibility
Name:		compat-glibc
Version:	7.2
Release:	%{GLIBC_VERSION}.3mdk
License:	LGPL
Group:		System/Libraries

Source:		glibc-%{GLIBC_VERSION}.tar.bz2
Source1:	linux-2.2.18-includes.tar.bz2

ExclusiveArch:	alpha %ix86 ppc sparc
%ifnarch ppc
BuildRequires:	egcs
%endif
Buildroot:	%_tmppath/%name-%version-%release-root

%description
This package contains the version %{GLIBC_VERSION} of the GNU C library for
compiling binaries that will run on Linux-Mandrake 7.2 and other glibc 2.1.x
Linux based systems. This package includes the runtime libraries.

%prep

%setup -q -a 1 -n glibc-%{GLIBC_VERSION}

%build
rm -rf build-$RPM_ARCH-linux
mkdir build-$RPM_ARCH-linux
cd build-$RPM_ARCH-linux
%ifnarch ppc
CC=kgcc CFLAGS="-g -O3" ../configure --prefix=%_prefix \
                                     --enable-add-ons=yes \
				     --without-cvs \
				     --with-profile=no \
				     --prefix=%_prefix/$RPM_ARCH-glibc21-linux \
				     %_target_cpu-glibc21-linux
make -r CFLAGS="-g -O3" PARALLELMFLAGS=-s
%else
../configure --prefix=%_prefix/ppc-glibc21-linux \
             --enable-add-ons=yes \
	     --without-cvs \
	     --with-profile=no \
	     --target=ppc-glibc21-linux
make -r
%endif

%install
make install_root=%buildroot install -C build-$RPM_ARCH-linux

# remove stuff that we have no use for
rm -rf %buildroot/%_prefix/$RPM_ARCH-glibc21-linux/{bin,etc,info,sbin,share}
rm -f %buildroot/%_prefix/$RPM_ARCH-glibc21-linux/lib/lib*_p.a
for lib in  %buildroot/%_prefix/$RPM_ARCH-glibc21-linux/lib/lib*.a ; do
    [ -f ${lib%%.a}.so ] && rm -f $lib
done

%ifarch alpha
LIBC_SO_EXT=".1"
%else
LIBC_SO_EXT=""
%endif

# we know we want to use *this* one
cat > %buildroot/%_prefix/$RPM_ARCH-glibc21-linux/lib/libc.so << EOF
/* GNU ld script
   Use the shared library, but some functions are only in
   the static library, so try that secondarily.  */
GROUP (
   %_prefix/$RPM_ARCH-glibc21-linux/lib/libc.so.6$LIBC_SO_EXT
   %_prefix/$RPM_ARCH-glibc21-linux/lib/ld-linux.so.2
   %_prefix/$RPM_ARCH-glibc21-linux/lib/libc_nonshared.a
      )
EOF

# Just drop in the kernel include headers...
cd linux-2.2.18/include
mv asm-$RPM_ARCH asm
tar chf - asm linux | tar xf - -C %buildroot/%_prefix/$RPM_ARCH-glibc21-linux/include
cd ../..

# Strip everything
strip -R .comment %buildroot/%_prefix/$RPM_ARCH-glibc21-linux/lib/*.so* || :

# Remove gconv
rm -fr %buildroot/%_prefix/$RPM_ARCH-glibc21-linux/lib/gconv

bzcat %SOURCE1|tar xf - -C %buildroot/%_prefix/$RPM_ARCH-glibc21-linux/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%_prefix/*-glibc21-linux/lib
%_prefix/*-glibc21-linux/include

%changelog
* Sun Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 7.2-2.1.3.3mdk
- PPC: build with gcc

* Tue Dec 26 2000 David BAUDENS <baudens@mandrakesoft.com> 7.2-2.1.3.2mdk
- Add BuildRequires: egcs
- Enable configuration for PPC
- Fix group

* Tue Dec 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> compat-glibc-7.2-2.1.3.1mdk
- First Mandrake-Version
